;registered as FX14 - missiles walkers
;
IF test_level = 1
	FX14_Fire_Sprite EQU 25
	FX14_Mssl_ClassA EQU 36
	FX14_Mssl_ClassB EQU 34	
ENDIF

IF test_level = 4
	FX14_Fire_Sprite EQU  18
	FX14_Mssl_ClassA EQU  8
	FX14_Mssl_ClassB EQU  6
ENDIF

IF test_level = 7
	FX14_Fire_Sprite EQU 29
	FX14_Mssl_ClassA EQU 18
	FX14_Mssl_ClassB EQU 16
ENDIF

;***********************
;*** MISSILE WALKERS ***
;***********************
.FX14	
	jp c,TV5	;is dead ?
	
.FX14_alive	
	EX AF,AF'
 	CP FX14_Fire_Sprite
 	JR Z,FX14A
	EX AF,AF'
 	JP FX1A
.FX14A	
	EX AF,AF'
	LD A,(FRAME)
	AND 3
 	JP NZ,FX1A
	LD HL,FX14Z+2
 	LD (HL),B
 	DEC HL
	LD (HL),C
 ;
	LD A,(DE)
 	AND 1
 	JR Z,FX14B
	DEC (HL)
	LD A,R
	AND 1
 	ADD FX14_Mssl_ClassA
	JR FX14C
.FX14B	
	INC (HL)
 	LD A,R
	AND 1
 	ADD FX14_Mssl_ClassB
.FX14C	
	DEC HL
 	LD (HL),A
 	CALL FORCESYNC
	
	ld A,sfx_missileNPC ;sfx_missile
	call SND_SfxPlay
 ;LD HL,17*256+QUART+1
 ;CALL BEEP
 	JP FX1A
.FX14Z	DEFB 0,0,0